knowledge module route (requires knowledge:data_product:write)
PUT
/v1/m/knowledge/data-products/{id}
const url = 'https://example.com/v1/m/knowledge/data-products/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"availability_target":"example","description":"example","enforcement_mode":"","freshness_sla_seconds":1,"kb_id":"example","kb_ref":"example","name":"example","owner_ref":"example","quality_score":1,"tags":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/knowledge/data-products/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "availability_target": "example", "description": "example", "enforcement_mode": "", "freshness_sla_seconds": 1, "kb_id": "example", "kb_ref": "example", "name": "example", "owner_ref": "example", "quality_score": 1, "tags": {} }'Replaces one data product with the posted document.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
object
availability_target
description
kb_id
kb_ref
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}